@import '../../../../@theme/styles/themes';

@include nb-install-component() {
  display: block;

  .items-row {
    display: flex;
    overflow-x: auto;

    nb-card {
      cursor: pointer;

      &.active {
        nb-card-body {
          .image {
            transform: scale(1.2);
          }
        }

        nb-card-footer {
          color: nb-theme(color-primary-500);
        }
      }

      &:hover {
        nb-card-body {
          .image {
            transform: scale(1.1);
          }
        }
      }

      nb-card-body {
        overflow: hidden;
        padding: 0;
        transition: all ease-in 0.2s;

        .image {
          transition: all ease-in 0.2s;
          min-width: 150px;
          min-height: 100px;
          background-position: center;
          background-size: cover;
        }
      }

      nb-card-footer {
        text-align: center;
      }
    }
  }
}
